import { TestBed } from '@angular/core/testing';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ShelfEditFormService } from './shelf-edit-form.service';
import { DetailsFacade } from '@shelf-store/details';

fdescribe('ShelfEditFormService', () => {
  let service: ShelfEditFormService;
  let facade: jasmine.SpyObj<DetailsFacade>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [CommonModule, FormsModule, ReactiveFormsModule],
      providers: [
        ShelfEditFormService,
        {
          provide: DetailsFacade,
          useValue: jasmine.createSpy('detailsFacade'),
        },
      ],
    });

    service = TestBed.inject(ShelfEditFormService);
    facade = TestBed.inject(DetailsFacade);
  });

  it('should be created', () => {
    expect(service instanceof ShelfEditFormService).toBeTruthy();
  });
});
